Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.acting
Class MakeFormAction

    java.lang.Object
      org.apache.cocoon.forms.acting.MakeFormAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, Serviceable, ThreadSafe

public class MakeFormAction
extends Object
implements org.apache.cocoon.acting.Action, ThreadSafe, Serviceable

An action that creates a new form instance and stores it in a request attribute.

Required parameters:

- form-definition: filename (URL) of the form definition file
- attribute-name: name of the request attribute in which to store the form instance

Version:
  $Id: MakeFormAction.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`MakeFormAction()`

Method Summary
`Map` | `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, Map objectModel, String src, Parameters parameters)`
`void` | `service(ServiceManager serviceManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MakeFormAction

    public MakeFormAction()

Method Detail

### service

    public void service(ServiceManager serviceManager)
                 throws ServiceException

  Specified by:
    `service` in interface `Serviceable`
  Throws:
    `ServiceException`

### act

    public Map act(org.apache.cocoon.environment.Redirector redirector,
                   org.apache.cocoon.environment.SourceResolver resolver,
                   Map objectModel,
                   String src,
                   Parameters parameters)
            throws Exception

  Specified by:
    `act` in interface `org.apache.cocoon.acting.Action`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.